<id>
Custom User Titles V1.1.1 for YaBB 2.5
</id>

<version>
1.1.1
</version>

<mod info>
Allows Administrators and Global Moderators (if allowed) to add Custom User Titles to Members

Version History
1.0 - First release by Derek Barnstorm - 6th December 2008
1.1 - Updated for YaBB 2.4 - 14th April 2009
1.1 - Updated for YaBB 2.5 - 14th March 2012

Files to edit
Admin/ModList.pl 
Languages/English/Profile.lng
Sources/Display.pl 
Sources/Load.pl 
Sources/MyCenter.pl 
Sources/Profile.pl 
Sources/System.pl 

Credits
There was a version of this Mod for YaBB 1. I believe the original author was Godai, and it was also updated by rehlbe and mats. 
</mod info>

<author>
Derek Barnstorm
</author>

<homepage>
http://www.boardmod.org
</homepage>

<edit file>
Admin/ModList.pl
</edit file>

<search for>
### END BOARDMOD ANCHOR ###
</search for>

<add before>
	$mod_cutitle = "Custom User Titles V1.1.1|Derek Barnstorm|Allows Administrators and Global Moderators (if allowed) to add Custom User Titles to Members|1.1.1|14th March 2012";
	push (@installed_mods, "$mod_cutitle");
</add before>

<edit file>
Languages/English/Profile.lng
</edit file>

<search for>
'233' => 'Date Registered',
</search for>

<add before>
'cut' => 'Custom User Title',
</add before>

<edit file>
Sources/Display.pl
</edit file>

<search for>
			$memberinfo = "$memberinfo{$musername}$addmembergroup{$musername}";
</search for>

<replace>
			$memberinfo = "$memberinfo{$musername}${$uid.$musername}{'cutitle'}$addmembergroup{$musername}";
</replace>

<edit file>
Sources/Load.pl
</edit file>

<search for>
	} else {
		${$uid.$user}{'gender'} = '';
	}
</search for>

<add after>

    if (${$uid.$user}{'cutitle'}) {
		${$uid.$user}{'cutitle'} = ${$uid.$user}{'cutitle'} ? qq~<br /><span style="color: ${$uid.$user}{'cutitlecol'}; font-size: 10px; font-weight: bold;">${$uid.$user}{'cutitle'}</span>~ : '';
	} else {
		${$uid.$user}{'cutitle'} = '';
	}

</add after>

<edit file>
Sources/MyCenter.pl
</edit file>

<search for>
		my $memberinfo = "$memberinfo{$username}$addmembergroup{$username}";
</search for>

<replace>
		my $memberinfo = "$memberinfo{$username}${$uid.$username}{'cutitle'}$addmembergroup{$username}";
</replace>

<edit file>
Sources/Profile.pl
</edit file>

<search for>
			<select name="addgroup" id="addgroup" size="$selsize" multiple="multiple">
			$tta
			</select>
		</td>
	</tr>~;
	}
</search for>

<add after>
    $showProfile .= qq~
    <tr class="windowbg">
        <td width="320" align="left"><label for="cutitle"><b>$profile_txt{'cut'}:</b></label></td> 
        <td align="left" valign="middle"><input type="text" maxlength="100" name="cutitle" id="cutitle" size="30" value="${$uid.$user}{'cutitle'}" /> <span id="cutitlecol2" style="background-color: ${$uid.$user}{'cutitlecol'}">&nbsp; &nbsp; &nbsp;</span> <input type="text" size="7" maxlength="7" name="cutitlecol" value="${$uid.$user}{'cutitlecol'}" onkeyup="previewColor(this.value);" /> <img align="top" src="$imagesdir/palette1.gif" style="cursor: pointer;" onclick="window.open('$scripturl?action=palette;task=templ', '', 'height=308,width=302,menubar=no,toolbar=no,scrollbars=no')" alt="" border="0" /></td>
            <script language="JavaScript1.2" type="text/javascript">
			<!--
			function previewColor(color) {
				document.getElementById('cutitlecol2').style.background = color;
				document.getElementsByName("cutitlecol")[0].value = color;
			}
			//-->
			</script>
	 </tr>~;
</add after>

<search for>
	${$uid.$user}{'addgroups'} = $member{'addgroup'};
</search for>

<add after>
	${$uid.$user}{'cutitle'} = $member{'cutitle'};
    ${$uid.$user}{'cutitlecol'} = $member{'cutitlecol'};
</add after>

<search for>
	my ($pic_row, $buddybutton, $row_addgrp, $row_gender, $row_age, $row_location, $row_icq, $row_aim, $row_yim, $row_msn, $row_gtalk, $row_skype, $row_myspace, $row_facebook, $row_email, $row_website, $row_signature, $showusertext);
</search for>

<add after>
    my ($row_cutitle);
</add after>

<search for>
			$pic
			</div>~;
	}
</search for>

<add after>

	if (${$uid.$user}{'cutitle'}) {
		$row_cutitle .= qq~<br /><span style="color: ${$uid.$user}{'cutitlecol'}; font-weight: bold;">${$uid.$user}{'cutitle'}</span>~;
	}

</add after>

<search for>
			$col_title{$user}
</search for>

<add after>
			$row_cutitle
</add after>

<edit file>
Sources/System.pl
</edit file>

<search for>
	my @tags = qw(realname password position addgroups email hidemail regdate regtime regreason location bday gender userpic usertext signature template language stealth webtitle weburl icq aim yim skype myspace facebook msn gtalk timeselect timeformat timeoffset dsttimeoffset dynamic_clock postcount lastonline lastpost lastim im_ignorelist im_popup im_imspop pmmessprev pmviewMess pmactprev notify_me board_notifications thread_notifications favorites buddylist cathide pageindex reversetopic postlayout sesquest sesanswer session lastips onlinealert offlinestatus awaysubj awayreply awayreplysent spamcount spamtime numberformat);
</search for>

<add after>
	push(@tags, "cutitle", "cutitlecol");
</add after>

